Subject: Re: [Simple] ietf-simple-interdomain-scaling-analysis-04

From: Avshalom Houri <[email-masked]>
Date: Tue, 23 Sep 2008 20:20:59 +0300

Victoria,

Thanks for the careful review and apologies for my late response.

Victoria Beltrán Martínez <[email-masked]> wrote on 09/07/2008 
21:48:15:

> Victoria Beltrán Martínez <[email-masked]> 
> Sent by: [email-masked]
> 
> 09/07/2008 22:30
> 
> To
> 
> [email-masked]
> 
> cc
> 
> Subject
> 
> [Simple] ietf-simple-interdomain-scaling-analysis-04
> 
> Hello,
> 
> 
> I have some comments about this draft which I would like to discuss:
> 
> 
> 1- In page 10, the description of C14 variable could lead to confusion 
> saing ?(per each contact)? since a multipart boundary is also used for 
> the resource list.

Will remove "(per each contact)".

> 
> 2- In page 11, When S03 variable is calculated and dialog optimization 
> is applied, the multipart boundary of the resource list is missing. The 
> most correct is (C06*C04)*((S01*(C09+C11+C13+C14+C15+C14))+(S02*C10))

Will fix. Impact should be very small.

> 
> 3- In page 12, when the T07 variable is calculated and dialog 
> optimization is used, it is assumed that only a single presentity is 
> changed. But, In my opinion, considering presence changes in terminating 

> notifies does not make sense since the NOTIFY message is sent in 
> response to a terminating SUBSCRIBE. RFC 4662 makes no difference which 
> presentities have changed their state when the RLS sends a terminating 
> NOTIFY. This RFC only specifies that the terminating NOTIFY should be 
> full-state as well as the initial NOTIFY. So, I think that T07 variable 
> should be calculated by 
> (T03*C06*(C09+C14+C15))+(T03*C06*C04*(C11+C13+C14)) in the case of 
> dialog optimization.

Will fix.

> 
> 4- The total number and bytes of messages in section 2.4 is calculated 
> assuming presence documents of 3000 bytes. However, the next section 2.5 

> uses presence documents of 350 bytes. If the aim is to compare the case 
> No optimizations with the Dialog optimization case, the same document 
> size should be used. If we assume a size of 3000 bytes for Dialog 
> optimization, it generates more bytes than the No optimizations case 
does.

In the bottom line both calculations (3000 & 350 bytes) are given for 
each.

> 
> Regards,
> Victoria
> 
> _______________________________________________
> Simple mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/simple
_______________________________________________
Simple mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/simple